This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 170998 - Fedora Extras packages rt3 and perl-HTML-Mason don't work with SELinux
Summary: Fedora Extras packages rt3 and perl-HTML-Mason don't work with SELinux
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 169247
TreeView+ depends on / blocked
 
Reported: 2005-10-17 08:56 UTC by Paul Howarth
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: policy-1.27.1.2.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 23:04:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Howarth 2005-10-17 08:56:10 UTC
Description of problem:
Fedora Extras packages rt3 and perl-HTML-Mason are web applications that, like
many others, need the web server to write cache files. The directories involved are:

/var/cache/mason
/var/cache/rt3

Current policy does not allow this. The following additions to 
file_contexts/program/apache.fc should take care of these:

/var/cache/mason(/.*)?	system_u:object_r:httpd_cache_t
/var/cache/rt3(/.*)?	system_u:object_r:httpd_cache_t

Could these changes be included in the next errata update please?

Related Bugs:
Bug 169247 - Review request: rt3 - Request tracker 3
Bug 166063 â Review Request: perl-HTML-Mason

Comment 1 Ville Skyttä 2006-01-29 23:13:00 UTC
I was looking for some examples, and came accross this bug.  But I don't see the
strings "rt3" or "mason" in the whole selinux-policy source tree in Rawhide. 
Have  they moved into another package or been dropped or...?  httpd_cache_t
seems to be assigned only to
/var/cache/{httpd,mod_ssl,php-eaccelerator,php-mmcache,ssl*.sem} nowadays.

Comment 2 Daniel Walsh 2006-01-30 15:02:36 UTC
Looks like this got dropped from Reference policy.  I will add it back tonight.
 Good Catch.

Thanks.

Dan


Note You need to log in before you can comment on or make changes to this bug.